package no.ntnu.idatt1002.demo.controller;
import java.io.IOException;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.Node;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.DatePicker;
import javafx.scene.control.Label;
import javafx.scene.control.ProgressBar;
import javafx.scene.image.ImageView;
import javafx.stage.Stage;

public class MainMenuController {

    @FXML
    private Button addExpenseButton;

    @FXML
    private Button foodButton;

    @FXML
    private Button overviewButton;

    @FXML
    private ProgressBar progressbar;

    @FXML
    private DatePicker date;

    @FXML
    private ImageView progressMarker;

    @FXML
    private Label today;


    //ExpenseRepository expenseRepository;
    @FXML
    public void initialize() {
        progressbar.setProgress(0.5);
        //progressbar.setProgress((ExpenseRepository.getSum())/5000);
        System.out.println(progressbar.getProgress());
        progressMarker.setTranslateX(-275 + progressbar.getProgress());
        today.setTranslateX(-275 + progressbar.getProgress());
    }

    @FXML
    public void switchExpenses(ActionEvent event) throws IOException {
        FXMLLoader loader = new FXMLLoader(SceneController.class.getResource("/view/Expenses.fxml"));
        Parent root = loader.load();
        Stage stage = (Stage) ((Node) event.getSource()).getScene().getWindow();
        Scene scene = new Scene(root);
        stage.setScene(scene);
        stage.show();
    }

    @FXML
    public void switchOverview(ActionEvent event) throws IOException {
        FXMLLoader loader = new FXMLLoader(SceneController.class.getResource("/view/Overview.fxml"));
        Parent root = loader.load();
        Stage stage = (Stage) ((Node) event.getSource()).getScene().getWindow();
        Scene scene = new Scene(root);
        stage.setScene(scene);
        stage.show();
    }

}
